Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163950 - ifup-ppp keeps a shell in memory needlessly
Summary: ifup-ppp keeps a shell in memory needlessly
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-07-22 11:42 UTC by Avi Kivity
Modified: 2014-03-17 02:55 UTC (History)
2 users (show)

Fixed In Version: 8.32-1
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-04-10 22:53:56 UTC


Attachments (Terms of Use)
reduce persistent process count in ifup-ppp (deleted)
2005-07-22 11:45 UTC, Avi Kivity
no flags Details | Diff

Description Avi Kivity 2005-07-22 11:42:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.1 (like Gecko)

Description of problem:
ifup-ppp spans pppd and remains in memory, even though it has nothing left to 
do (if $DEMAND is false). this wastes memory. 

Version-Release number of selected component (if applicable):
initscripts-8.11.1-1

How reproducible:
Always

Steps to Reproduce:
ifup ppp0 
   

Actual Results:  $ pstree 
... 
ppp-watch----ifup-ppp-----pppd 

Expected Results:  $ pstree  
...  
ppp-watch----pppd  

Additional info:

Comment 1 Avi Kivity 2005-07-22 11:45:14 UTC
Created attachment 117050 [details]
reduce persistent process count in ifup-ppp

attached patch execs pppd instead of spawning it if $DEMAND != yes

Comment 2 Miloslav Trmač 2006-04-10 22:53:56 UTC
Applied in rawhide initscripts-8.32-1.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.